## ssoclient 2.1.1

=== Makefile ===
TOX_PATH=.tox

.PHONY: clean env test

all: clean env test

env:
	tox --notest

clean:
	rm -rf $(TOX_PATH)

test: 
	tox

=== debian/changelog ===
ssoclient (2.1.1) xenial; urgency=low

  * Run DEP-8 tests for python2 and python3 packages.

 -- Ricardo Kirkner <ricardo.kirkner@canonical.com>  Fri, 08 Jan 2016 15:00:00 -0300

ssoclient (2.1) xenial; urgency=low

  * Initial release. (LP: #1531142)

 -- Ricardo Kirkner <ricardo.kirkner@canonical.com>  Tue, 05 Jan 2016 09:14:00 -0300

=== debian/control ===
Source: ssoclient
Section: python
Priority: extra
Maintainer: Ricardo Kirkner <ricardo.kirkner@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.7),
               python-setuptools,
               python-requests,
               python-requests-oauthlib,
               python-mock,
               python3-all (>= 3.4),
               python3-setuptools,
               python3-requests,
               python3-requests-oauthlib,
               python3-mock
Homepage: https://launchpad.net/~canonical-isd-hackers/canonical-identity-provider/ssoclient
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4

Package: python-ssoclient
Architecture: all
Depends: python-requests-oauthlib,
         python-requests,
         ${misc:Depends},
         ${python:Depends}
Description: Simple client for the Ubuntu One SSO API (Python 2)
 This package provides a client based on a thin wrapper of
 the Ubuntu One SSO API (v2).
 .
 This package installs the client for Python 2.

Package: python3-ssoclient
Architecture: all
Depends: python3-requests-oauthlib,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: Simple client for the Ubuntu One SSO API (Python 3)
 This package provides a client based on a thin wrapper of
 the Ubuntu One SSO API (v2).
 .
 This package installs the client for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

export PYBUILD_NAME = ssoclient

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -c "import ssoclient; print(ssoclient.__version__)"
Depends: python3-ssoclient

Test-Command: python -c "import ssoclient; print(ssoclient.__version__)"
Depends: python-ssoclient

## ssoclient 2.1.1build1

=== debian/changelog ===
ssoclient (2.1.1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:46:26 +0000

## ssoclient 2.1.2

=== requirements.txt ===
requests
requests-oauthlib

=== debian/changelog ===
ssoclient (2.1.2) focal; urgency=medium

  * drop python2 for Ubuntu 20.04
    - d/control: drop python2 build dependencies
    - d/control: drop python-ssoclient package
    - d/t/control: drop testing the python2 binary package
    - d/rules: drop python2 from dh call

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 09 Jan 2020 08:04:42 +0100

=== debian/control ===
Source: ssoclient
Section: python
Priority: extra
Maintainer: Ricardo Kirkner <ricardo.kirkner@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all (>= 3.4),
               python3-setuptools,
               python3-requests,
               python3-requests-oauthlib,
               python3-mock
Homepage: https://launchpad.net/~canonical-isd-hackers/canonical-identity-provider/ssoclient
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4

Package: python3-ssoclient
Architecture: all
Depends: python3-requests-oauthlib,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: Simple client for the Ubuntu One SSO API (Python 3)
 This package provides a client based on a thin wrapper of
 the Ubuntu One SSO API (v2).
 .
 This package installs the client for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

export PYBUILD_NAME = ssoclient

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -c "import ssoclient; print(ssoclient.__version__)"
Depends: python3-ssoclient

## ssoclient 2.1.2build1

=== debian/changelog ===
ssoclient (2.1.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Nov 2025 18:38:39 +0000
